Index: /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw
===================================================================
--- /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4142)
+++ /data/branches/presentation/worlds/sp_level_ambush_at_uranus.oxw	(revision 4143)
@@ -296,36 +296,36 @@
     <!-- HERE IS THE ARCADE SHOOTER -->
     <!-- NPC's -->
-    <NPC2> <abs-coor>2500, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2650, 0.0, -1650.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2740, 0.0, -1750.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2700, 0.0, -1620.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2720, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2810, 0.0, -1740.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>2970, 0.0, -1630.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3000, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3100, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3150, 0.0, -1656.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3180, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3200, 0.0, -1750.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3300, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3450, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3450, 0.0, -1760.0</abs-coor> </NPC2>
-
-
-    <NPC2> <abs-coor>3500, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3550, 0.0, -1650.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3540, 0.0, -1750.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3600, 0.0, -1620.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3720, 0.0, -1720.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3710, 0.0, -1740.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3870, 0.0, -1630.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3800, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>3900, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4050, 0.0, -1656.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4080, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4100, 0.0, -1750.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4200, 0.0, -1730.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4250, 0.0, -1640.0</abs-coor> </NPC2>
-    <NPC2> <abs-coor>4250, 0.0, -1760.0</abs-coor> </NPC2>
+    <AttractorMine> <abs-coor>2500, 0.0, -1720.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2650, 0.0, -1650.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2740, 0.0, -1750.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2700, 0.0, -1620.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2720, 0.0, -1720.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2810, 0.0, -1740.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>2970, 0.0, -1630.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3000, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3100, 0.0, -1640.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3150, 0.0, -1656.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3180, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3200, 0.0, -1750.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3300, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3450, 0.0, -1640.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3450, 0.0, -1760.0</abs-coor> </AttractorMine>
+
+
+    <AttractorMine> <abs-coor>3500, 0.0, -1720.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3550, 0.0, -1650.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3540, 0.0, -1750.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3600, 0.0, -1620.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3720, 0.0, -1720.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3710, 0.0, -1740.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3870, 0.0, -1630.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3800, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>3900, 0.0, -1640.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4050, 0.0, -1656.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4080, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4100, 0.0, -1750.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4200, 0.0, -1730.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4250, 0.0, -1640.0</abs-coor> </AttractorMine>
+    <AttractorMine> <abs-coor>4250, 0.0, -1760.0</abs-coor> </AttractorMine>
 
 