Index: /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc
===================================================================
--- /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4146)
+++ /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4147)
@@ -63,9 +63,12 @@
       for(int whichVertex = 0; whichVertex < 3; whichVertex++)
 	{
+	  printf("now drawing vertex %i of face nr: %i\n", whichVertex, j);
 	  int index = pObject->pFaces[j].vertIndex[whichVertex];
 	  int index2 = pObject->pFaces[j].coordIndex[whichVertex];
+	  printf("using index: %i, %i\n", index, index2);
 	  /* we invert the normals since the md2 file format uses different style */
-	  glNormal3f(-pObject->pNormals[ index ].x, -pObject->pNormals[ index ].y, -pObject->pNormals[ index ].z);
-	  if(pObject->pTexVerts) 
+	  glNormal3f(-pObject->pNormals[index].x, -pObject->pNormals[index].y, -pObject->pNormals[index].z);
+
+	  if( pObject->pTexVerts) 
 	    {
 	      glTexCoord2f(pObject->pTexVerts[ index2 ].x, pObject->pTexVerts[ index2 ].y);
@@ -166,5 +169,5 @@
   /* reading all frame data */
   fseek(this->pFile, this->header.offsetFrames, SEEK_SET);
-  for(int i = 0; i < this->header.numFrames; i++)
+  for( int i = 0; i < this->header.numFrames; i++)
     {
       tMd2AliasFrame *pFrame = (tMd2AliasFrame *) buffer;
@@ -179,5 +182,5 @@
 	 and negate z axis 
       */
-      for(int j = 0; j < this->header.numVertices; j++)
+      for( int j = 0; j < this->header.numVertices; j++)
 	{
 	  pVertices[j].vertex[0] = pFrame->aliasVertices[j].vertex[0] * pFrame->scale[0] + pFrame->translate[0];
Index: /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4146)
+++ /orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4147)
@@ -12,4 +12,6 @@
 	512 frames. The maximal vetices count is set to 2048 verteces, not enough?
 	You just have to change the MD2_MAX_* values if it doesn't fit your purposes...
+
+	Surface Culling is fully implemented in md2 models: quake2 uses front face culling.
 */
 
@@ -36,24 +38,24 @@
 struct tMd2Header
 { 
-   int ident;					//!< This is used to identify the file
-   int version;					//!< The version number of the file (Must be 8)
+   int ident;			        //!< This is used to identify the file
+   int version;			        //!< The version number of the file (Must be 8)
+    
+   int skinWidth;			//!< The skin width in pixels
+   int skinHeight;			//!< The skin height in pixels
+   int frameSize;			//!< The size in bytes the frames are
    
-   int skinWidth;				//!< The skin width in pixels
-   int skinHeight;				//!< The skin height in pixels
-   int frameSize;				//!< The size in bytes the frames are
-   
-   int numSkins;				//!< The number of skins associated with the model
-   int numVertices;				//!< The number of vertices (constant for each frame)
+   int numSkins;		        //!< The number of skins associated with the model
+   int numVertices;			//!< The number of vertices (constant for each frame)
    int numTexCoords;			//!< The number of texture coordinates
    int numTriangles;			//!< The number of faces (polygons)
    int numGlCommands;			//!< The number of gl commands
-   int numFrames;				//!< The number of animation frames
+   int numFrames;			//!< The number of animation frames
    
-   int offsetSkins;				//!< The offset in the file for the skin data
+   int offsetSkins;			//!< The offset in the file for the skin data
    int offsetTexCoords;			//!< The offset in the file for the texture data
    int offsetTriangles;			//!< The offset in the file for the face data
    int offsetFrames;			//!< The offset in the file for the frames data
    int offsetGlCommands;		//!< The offset in the file for the gl commands data
-   int offsetEnd;				//!< The end of the file offset
+   int offsetEnd;			//!< The end of the file offset
 };
 
@@ -147,9 +149,9 @@
   
   FILE *pFile;	
-  tMd2Header header;					    //!< The header data
-  tMd2Skin *pSkins;						//!< The skin data
-  tMd2TexCoord *pTexCoords;				//!< The texture coordinates
-  tMd2Face *pTriangles;					//!< Face index information
-  tMd2Frame *pFrames;					    //!< The frames of animation (vertices)
+  tMd2Header header;			      //!< The header data
+  tMd2Skin *pSkins;			      //!< The skin data
+  tMd2TexCoord *pTexCoords;		      //!< The texture coordinates
+  tMd2Face *pTriangles;			      //!< Face index information
+  tMd2Frame *pFrames;			      //!< The frames of animation (vertices)
 };
 
Index: /orxonox/branches/md2_loader/src/story_entities/world.cc
===================================================================
--- /orxonox/branches/md2_loader/src/story_entities/world.cc	(revision 4146)
+++ /orxonox/branches/md2_loader/src/story_entities/world.cc	(revision 4147)
@@ -953,5 +953,5 @@
 
   /* TESTGING TESTING TESTING */
-  //this->md2Model->draw(this->model);
+  this->md2Model->draw(this->model);
   
   glCallList (objectList);