Index: /data/branches/presentation/worlds/sp_demo_mountain_lake.oxw
===================================================================
--- /data/branches/presentation/worlds/sp_demo_mountain_lake.oxw	(revision 4148)
+++ /data/branches/presentation/worlds/sp_demo_mountain_lake.oxw	(revision 4149)
@@ -10,27 +10,40 @@
     <BarImage>pictures/load_screens/default_bar.png</BarImage>
   </LoadScreen>
-  <!--
+
   <ScriptManager>
 
-   <Scripts>
-    <Script>
-     <file>effects.lua</file>
-    </Script>
-   </Scripts>
+    <Scripts>
+      <!--<Script>
+        <file>effects.lua</file>
+      </Script>-->
 
-   <ScriptTriggers>
-    <ScriptTrigger>
-     <file>effects.lua</file>
-     <function>tick</function>
-     <abs-coor>-1200,276,909</abs-coor>
-     <radius>10</radius>
-     <worldentity>Player</worldentity>
-     <triggerlasts>true</triggerlasts>
-     <debugdraw>true</debugdraw>
-    </ScriptTrigger>
-   </ScriptTriggers>
+      <Script>
+        <file>guard.lua</file>
+      </Script>
+    </Scripts>
+
+    <ScriptTriggers>
+      <!--<ScriptTrigger>
+        <file>effects.lua</file>
+        <function>tick</function>
+        <abs-coor>-1200,276,909</abs-coor>
+        <radius>10</radius>
+        <worldentity>Player</worldentity>
+        <triggerlasts>true</triggerlasts>
+        <debugdraw>true</debugdraw>
+      </ScriptTrigger>-->
+
+      <ScriptTrigger>
+        <name>guardtrigger</name>
+        <file>guard.lua</file>
+        <function>tick</function>
+        <abs-coor>-500, 300, 900</abs-coor>
+        <radius>100</radius>
+        <worldentity>Player</worldentity>
+      </ScriptTrigger>
+    </ScriptTriggers>
 
   </ScriptManager>
--->
+
   <clip-region>1, 100000</clip-region>
   <WorldEntities>
@@ -40,27 +53,40 @@
     </Hover>
 
-   <Terrain>
+    <GenericNPC>
+      <name>guard</name>
+      <model>models/creatures/male.md2, 10</model>
+      <md2texture>male_viper.pcx</md2texture>
+      <abs-coor>1000, 500, 400</abs-coor>
+      <abs-dir>-3.1, 0, 1, 0</abs-dir>
+    </GenericNPC>
+
+    <Terrain>
       <name>water</name>
       <model>worlds/lake.obj, 2</model>
-   </Terrain>
+    </Terrain>
 
-    <!--<TerrainEntity>
-                <name>Puget Sound</name>
-                <elevation_map>pictures/lm.png</elevation_map>
-                <light_map>pictures/lightmap.png</light_map>
-                <material_layer>
-                        <detail_map file="maps/stucco.jpg">
-                                <repeat x="16" z="16" />
-                        </detail_map>
-                        <alpha full="yes" />
-                </material_layer>
-                <material_layer>
-                        <detail_map file="maps/snow_rubble_512x512.jpg">
-                                <repeat x="16" z="16" />
-                        </detail_map>
-                        <alpha file="pictures/snowvis.png" />
-                </material_layer>
-                <scale>100,300,100</scale>
-    </TerrainEntity> -->
+    <!--
+    <TerrainEntity>
+      <name>Puget Sound</name>
+      <elevation_map>pictures/lm.png</elevation_map>
+      <light_map>pictures/lightmap.png</light_map>
+
+      <material_layer>
+        <detail_map file="maps/stucco.jpg">
+          <repeat x="16" z="16" />
+        </detail_map>
+        <alpha full="yes" />
+      </material_layer>
+
+      <material_layer>
+        <detail_map file="maps/snow_rubble_512x512.jpg">
+          <repeat x="16" z="16" />
+        </detail_map>
+        <alpha file="pictures/snowvis.png" />
+      </material_layer>
+
+      <scale>100,300,100</scale>
+    </TerrainEntity>
+    -->
 
     <SpaceShip>
@@ -85,12 +111,11 @@
     </MappedWater>
 
-
     <SkyBox>
-     <name>Sky</name>
-     <Materialset>pictures/sky/desert</Materialset>
-     <Size>100000</Size>
+      <name>Sky</name>
+      <Materialset>pictures/sky/desert</Materialset>
+      <Size>100000</Size>
     </SkyBox>
 
-</WorldEntities>
+  </WorldEntities>
 
   <LightManager>
@@ -98,18 +123,17 @@
     <Lights>
       <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>100,100,50</abs-coor>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>100,100,50</abs-coor>
       </Light>
       <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,0,100</abs-coor>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,0,100</abs-coor>
       </Light>
       <Light>
-       <diffuse-color>1,1,1</diffuse-color>
-       <abs-coor>-100,2000,50</abs-coor>
+      <diffuse-color>1,1,1</diffuse-color>
+      <abs-coor>-100,2000,50</abs-coor>
       </Light>
     </Lights>
   </LightManager>
-
 
   <AtmosphericEngine>
@@ -134,13 +158,16 @@
       <LightningEffect>
         <name>lightning</name>
-        <coord>1482, 795, 430</coord>
+        <coord>1500, 500, 400</coord>
+        <size>400,300, 50, 50</size>
       </LightningEffect>
 
       <CloudEffect>
         <name>cloud</name>
+        <planetRadius>2000</planetRadius>
+        <atmosphericRadius>4000</atmosphericRadius>
+        <divisions>20</divisions>
       </CloudEffect>
 
     </WeatherEffect>
   </AtmosphericEngine>
-
 </WorldDataFile>