Index: orxonox/branches/md2_loader/src/Makefile.am
===================================================================
--- orxonox/branches/md2_loader/src/Makefile.am	(revision 4150)
+++ orxonox/branches/md2_loader/src/Makefile.am	(revision 4151)
@@ -62,4 +62,5 @@
 		 world_entities/test_gun.cc \
 		 world_entities/test_bullet.cc \
+		 world_entities/test_entity.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -128,4 +129,5 @@
 		 world_entities/test_gun.h \
 		 world_entities/test_bullet.h \
+		 world_entities/test_entity.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
Index: orxonox/branches/md2_loader/src/Makefile.in
===================================================================
--- orxonox/branches/md2_loader/src/Makefile.in	(revision 4150)
+++ orxonox/branches/md2_loader/src/Makefile.in	(revision 4151)
@@ -80,6 +80,6 @@
 	projectile.$(OBJEXT) satellite.$(OBJEXT) \
 	character_attributes.$(OBJEXT) test_gun.$(OBJEXT) \
-	test_bullet.$(OBJEXT) ai.$(OBJEXT) p_node.$(OBJEXT) \
-	null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
+	test_bullet.$(OBJEXT) test_entity.$(OBJEXT) ai.$(OBJEXT) \
+	p_node.$(OBJEXT) null_parent.$(OBJEXT) helper_parent.$(OBJEXT) \
 	data_tank.$(OBJEXT) graphics_engine.$(OBJEXT) light.$(OBJEXT) \
 	text_engine.$(OBJEXT) array.$(OBJEXT) objModel.$(OBJEXT) \
@@ -139,5 +139,6 @@
 @AMDEP_TRUE@	./$(DEPDIR)/skysphere.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/story_entity.Po ./$(DEPDIR)/terrain.Po \
-@AMDEP_TRUE@	./$(DEPDIR)/test_bullet.Po ./$(DEPDIR)/test_gun.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/test_bullet.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/test_entity.Po ./$(DEPDIR)/test_gun.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/text_engine.Po ./$(DEPDIR)/texture.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/tinystr.Po ./$(DEPDIR)/tinyxml.Po \
@@ -223,4 +224,5 @@
 PACKAGE_VERSION = @PACKAGE_VERSION@
 PATH_SEPARATOR = @PATH_SEPARATOR@
+PKG_CONFIG = @PKG_CONFIG@
 RANLIB = @RANLIB@
 SET_MAKE = @SET_MAKE@
@@ -306,4 +308,5 @@
 		 world_entities/test_gun.cc \
 		 world_entities/test_bullet.cc \
+		 world_entities/test_entity.cc \
 		 ai/ai.cc \
 		 lib/coord/p_node.cc \
@@ -372,4 +375,5 @@
 		 world_entities/test_gun.h \
 		 world_entities/test_bullet.h \
+		 world_entities/test_entity.h \
 		 ai/ai.h \
 		 network/synchronisable.h \
@@ -575,4 +579,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/terrain.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_bullet.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_entity.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_gun.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/text_engine.Po@am__quote@
@@ -1084,4 +1089,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_bullet.obj `if test -f 'world_entities/test_bullet.cc'; then $(CYGPATH_W) 'world_entities/test_bullet.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_bullet.cc'; fi`
+
+test_entity.o: world_entities/test_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_entity.o -MD -MP -MF "$(DEPDIR)/test_entity.Tpo" -c -o test_entity.o `test -f 'world_entities/test_entity.cc' || echo '$(srcdir)/'`world_entities/test_entity.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_entity.Tpo" "$(DEPDIR)/test_entity.Po"; else rm -f "$(DEPDIR)/test_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_entity.cc' object='test_entity.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_entity.Po' tmpdepfile='$(DEPDIR)/test_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_entity.o `test -f 'world_entities/test_entity.cc' || echo '$(srcdir)/'`world_entities/test_entity.cc
+
+test_entity.obj: world_entities/test_entity.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT test_entity.obj -MD -MP -MF "$(DEPDIR)/test_entity.Tpo" -c -o test_entity.obj `if test -f 'world_entities/test_entity.cc'; then $(CYGPATH_W) 'world_entities/test_entity.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_entity.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/test_entity.Tpo" "$(DEPDIR)/test_entity.Po"; else rm -f "$(DEPDIR)/test_entity.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/test_entity.cc' object='test_entity.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/test_entity.Po' tmpdepfile='$(DEPDIR)/test_entity.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o test_entity.obj `if test -f 'world_entities/test_entity.cc'; then $(CYGPATH_W) 'world_entities/test_entity.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_entity.cc'; fi`
 
 ai.o: ai/ai.cc
Index: orxonox/branches/md2_loader/src/world_entities/test_entity.cc
===================================================================
--- orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4151)
+++ orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4151)
@@ -0,0 +1,61 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific
+   main-programmer: Patrick Boenzli
+   co-programmer: 
+*/
+
+
+#include "test_entity.h"
+#include "stdincl.h"
+#include "model.h"
+
+using namespace std;
+
+
+
+TestEntity::TestEntity () : WorldEntity()
+{
+  this->model = (Model*) ResourceManager::getInstance()->load("cube", RP_LEVEL);
+}
+
+
+
+TestEntity::~TestEntity () 
+{
+
+}
+
+void TestEntity::tick (float time) {}
+
+void TestEntity::hit (WorldEntity* weapon, Vector* loc) {}
+
+void TestEntity::destroy () {}
+
+void TestEntity::collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags) {}
+
+void TestEntity::draw () 
+{
+  glMatrixMode(GL_MODELVIEW);
+  glPushMatrix();
+  float matrix[4][4];
+  
+  glTranslatef (this->getAbsCoor ().x, this->getAbsCoor ().y, this->getAbsCoor ().z);
+   this->getAbsDir().matrix (matrix);
+  glMultMatrixf((float*)matrix);
+  
+  this->model->draw();
+
+  glPopMatrix();
+}
+
Index: orxonox/branches/md2_loader/src/world_entities/test_entity.h
===================================================================
--- orxonox/branches/md2_loader/src/world_entities/test_entity.h	(revision 4151)
+++ orxonox/branches/md2_loader/src/world_entities/test_entity.h	(revision 4151)
@@ -0,0 +1,24 @@
+#ifndef _TEST_ENTITY_H
+#define _TEST_ENTITY_H
+
+#include "world_entity.h"
+
+
+class TestEntity : public WorldEntity 
+{
+  friend class World;
+
+ public:
+  TestEntity ();
+  virtual ~TestEntity ();
+
+  
+  virtual void tick (float time);
+  virtual void hit (WorldEntity* weapon, Vector* loc);
+  virtual void destroy ();
+  virtual void collide (WorldEntity* other,  Uint32 ownhitflags, Uint32 otherhitflags);
+  virtual void draw ();
+
+};
+
+#endif /* _TEST_ENTITY_H */