Index: data/branches/presentation/scripts/staumanndli.lua
===================================================================
--- data/branches/presentation/scripts/guard.lua	(revision 4151)
+++ data/branches/presentation/scripts/staumanndli.lua	(revision 4162)
@@ -1,309 +1,52 @@
 -- Get objects from orxonox
-thisscript:addObject("GenericNPC","guard")
+thisscript:addObject("GenericNPC","staumanndli")
 thisscript:addObject("FPSPlayer", "Player")
 
--- Global Variables
-walkingRouteOne = true   -- True if thestranger is walking route one
-exitPositionReached = false
-playerInLock = false
-hangarReached = false
-guardStopped = false
-gotoSpaceship = false
+programRoute = true
+height = -10
 
-height = 34
+function tick(timestep)
 
--- Returns the distance between (x1,x2,x3) and (y1,y2,y3)
-function dist( x1,x2,x3, y1,y2,y3 )
-return math.sqrt( (x1-y1)^2 + (x2-y2)^2 + (x3-y3)^2 )
+if programRoute then
+floorguy:runTo( 800.634338, height, -340.454163)
+floorguy:runTo( 800.965149, height, -317.040039)
+floorguy:runTo( 801.330627, height, -291.156891)
+floorguy:runTo( 801.922913, height, -274.193085)
+floorguy:runTo( 802.959045, height, -258.950653)
+floorguy:runTo( 803.812805, height, -246.390198)
+floorguy:runTo( 804.034180, height, -232.661407)
+floorguy:runTo( 816.056702, height, 407.114502)
+floorguy:runTo( 817.066284, height, 439.783112)
+floorguy:runTo( 817.734314, height, 461.401306)
+floorguy:runTo( 818.361816, height, 481.702789)
+floorguy:runTo( 820.161621, height, 540.826538)
+floorguy:runTo( 820.825195, height, 579.028748)
+floorguy:runTo( 821.907410, height, 641.302673)
+floorguy:runTo( 823.706055, height, 744.863098)
+floorguy:runTo( 820.552490, height, 761.699585)
+floorguy:runTo( 809.810425, height, 771.055420)
+floorguy:runTo( 794.455383, height, 779.180725)
+floorguy:runTo( 779.520386, height, 773.730957)
+floorguy:runTo( 769.395630, height, 762.138306)
+floorguy:runTo( 761.172668, height, 749.739258)
+floorguy:runTo( 756.049500, height, 736.094116)
+floorguy:runTo( 755.904297, height, 648.224854)
+floorguy:runTo( 742.674744, height, -243.343140)
+floorguy:runTo( 742.312805, height, -273.083893)
+floorguy:runTo( 741.927856, height, -304.735474)
+floorguy:runTo( 741.548035, height, -335.971069)
+floorguy:runTo( 741.181824, height, -366.028503)
+programRoute = false
 end
 
-
-function observePlayer()
-
-guardX = guard:getAbsCoorX()
-guardY = guard:getAbsCoorY()
-guardZ = guard:getAbsCoorZ()
-
-playerX = Player:getAbsCoorX()
-playerY = Player:getAbsCoorY()
-playerZ = Player:getAbsCoorZ()
-
-
-distance = dist( guardX,guardY,guardZ,playerX, playerY, playerZ)
-
-if distance > 250 and hangarRouteProgrammed and not guardStopped and not gotoSpaceship then
- guard:stop()
- guardStopped = true
+if floorguy:finalGoalReached() then
+programRoute = true
 end
 
-if distance < 250 and hangarRouteProgrammed and guardStopped and not gotoSpaceship then
- guard:resume()
- guardStopped = false
-end
-
-if dist( playerX,playerY,playerZ,167.361526,29,483.163818 ) < 200 then
-playerInLock = true
-end
-
-if dist( guardX,guardY,guardZ,772.325012, height, -1500.850708) < 200 then
-gotoSpaceship = true
-end
-
-
-end
-
-routeOneProgrammed = false
-function walkRouteOne(timestep)
-if not routeOneProgrammed then
-guard:walkTo( 266.396362, height, 241.398544)
-guard:walkTo( 254.577255, height, 241.159897)
-guard:walkTo( 221.120651, height, 240.484360)
-guard:walkTo( 187.732651, height, 239.810196)
-guard:walkTo( 165.661865, height, 239.364563)
-guard:walkTo( 148.642044, height, 239.020889)
-guard:walkTo( 128.012802, height, 238.604340)
-guard:walkTo( 65.664688, height, 237.345383)
-guard:walkTo( 30.099592, height, 236.627243)
-guard:walkTo( -14.031926, height, 236.483414)
-guard:walkTo( -52.224205, height, 241.776978)
-guard:walkTo( -83.528168, height, 245.757629)
-guard:walkTo( -98.730980, height, 247.394043)
-guard:walkTo( -111.666504, height, 246.585648)
-guard:walkTo( -111.666504, height, 246.585648)
-guard:walkTo( -114.805542, height, 246.144440)
-guard:walkTo( -119.267967, height, 245.360168)
-guard:walkTo( -138.284515, height, 239.281021)
-guard:walkTo( -146.166840, height, 234.512054)
-guard:walkTo( -157.210480, height, 222.620941)
-guard:walkTo( -158.519867, height, 219.674301)
-guard:walkTo( -158.519867, height, 219.674301)
-guard:walkTo( -158.478958, height, 213.490570)
-guard:walkTo( -158.478958, height, 213.490570)
-guard:walkTo( -155.965332, height, 210.303101)
-guard:walkTo( -150.804489, height, 203.959869)
-guard:walkTo( -148.853012, height, 201.561295)
-guard:walkTo( -145.451157, height, 197.554382)
-guard:walkTo( -143.694107, height, 196.373535)
-guard:walkTo( -139.281479, height, 193.407990)
-guard:walkTo( -137.526047, height, 192.228226)
-guard:walkTo( -103.046753, height, 182.510071)
-guard:runTo( -14.992087, height, 181.910767)
-guard:runTo( 46.347664, height, 181.493317)
-guard:runTo( 86.343376, height, 181.221130)
-guard:runTo( 124.465179, height, 194.251617)
-guard:runTo( 136.548996, height, 219.682953)
-guard:runTo( 145.162140, height, 244.268982)
-guard:runTo( 149.328720, height, 256.993256)
-guard:runTo( 162.649582, height, 268.181732)
-
-routeOneProgrammed = true
-end
-
-if guard:finalGoalReached() then
-return false
-end
-
-return true
-end
-
-
-exitRouteProgrammed = false
-function goToExitPosition(timestep)
-
-if not exitRouteProgrammed then
---guard:runTo( 162.096558, height, 274.944366)
---guard:runTo( 161.519516, height, 286.673370)
---guard:runTo( 161.098618, height, 295.228699)
---guard:runTo( 160.568466, height, 306.004486)
-guard:runTo( 160.151169, height, 314.486572)
-guard:runTo( 159.416641, height, 324.925232)
-guard:walkTo( 158.700073, height, 335.108154)
-guard:walkTo( 157.943298, height, 345.862610)
-guard:walkTo( 157.418381, height, 356.131256)
-guard:walkTo( 156.908035, height, 366.115417)
-guard:walkTo( 156.940308, height, 377.467712)
-guard:walkTo( 156.965408, height, 386.287933)
-guard:walkTo( 156.924698, height, 394.296417)
-guard:walkTo( 156.816116, height, 401.564911)
-guard:walkTo( 156.147583, height, 446.314850)
-guard:walkTo( 155.145660, height, 515.473877)
-guard:walkTo( 148.450058, height, 524.572571)
-guard:walkTo( 135.599609, height, 533.407166)
-guard:walkTo( 119.772217, height, 539.609192)
-guard:walkTo( 108.926720, height, 537.174927)
-guard:walkTo( 100.885788, height, 524.737793)
-guard:walkTo( 99.870834, height, 512.540100)
-guard:walkTo( 108.219215, height, 502.064178)
-
-exitRouteProgrammed = true
-end
-
-if guard:finalGoalReached() and playerInLock then
-return true
-end
 
 return false
 end
 
-
-hangarRouteProgrammed = false
-function goToHangar(timestep)
-
-if not hangarRouteProgrammed and playerInLock then
-
-guard:walkTo( 133.354797, height, 504.669128)
-guard:walkTo( 147.490158, height, 507.034393)
-guard:walkTo( 157.640610, height, 508.901001)
-guard:walkTo( 168.830688, height, 510.958710)
-guard:walkTo( 185.020630, height, 512.736206)
-guard:walkTo( 201.232452, height, 513.413818)
-guard:walkTo( 265.666138, height, 513.736023)
-guard:walkTo( 362.377960, height, 515.575806)
-guard:walkTo( 426.176392, height, 515.666748)
-guard:walkTo( 500.031677, height, 515.197266)
-guard:walkTo( 551.294250, height, 514.430237)
-guard:walkTo( 604.974731, height, 515.106323)
-guard:walkTo( 651.117920, height, 516.026550)
-guard:walkTo( 664.581909, height, 516.295227)
-guard:walkTo( 683.122803, height, 516.665100)
-guard:walkTo( 694.547485, height, 516.892944)
-guard:walkTo( 704.408569, height, 517.089539)
-guard:walkTo( 714.413208, height, 517.289185)
-guard:walkTo( 739.045288, height, 515.581970)
-guard:walkTo( 763.904541, height, 497.281738)
-guard:walkTo( 767.672791, height, 481.974457)
-guard:walkTo( 769.436951, height, 468.704559)
-guard:walkTo( 770.490967, height, 453.283386)
-guard:walkTo( 771.185303, height, 435.960114)
-guard:walkTo( 771.952820, height, 379.502045)
-guard:walkTo( 771.938293, height, 310.049042)
-guard:walkTo( 772.514526, height, 231.579498)
-guard:walkTo( 773.601074, height, 135.177933)
-guard:walkTo( 773.790771, height, 50.675163)
-guard:walkTo( 773.316162, height, -36.961666)
-guard:walkTo( 772.885986, height, -116.407944)
-guard:walkTo( 772.841309, height, -124.651726)
-guard:walkTo( 772.491333, height, -137.742279)
-guard:walkTo( 770.644775, height, -153.245926)
-guard:walkTo( 768.774414, height, -163.767120)
-guard:walkTo( 766.336426, height, -174.224228)
-guard:walkTo( 762.794128, height, -187.312271)
-guard:walkTo( 733.548279, height, -274.004791)
-guard:walkTo( 713.113647, height, -329.657959)
-guard:walkTo( 694.801819, height, -379.530243)
-guard:walkTo( 681.276062, height, -422.047028)
-guard:walkTo( 672.579102, height, -458.540985)
-guard:walkTo( 670.843384, height, -465.824615)
-guard:walkTo( 669.948364, height, -480.910645)
-guard:walkTo( 669.361511, height, -493.648529)
-guard:walkTo( 669.686829, height, -501.598572)
-guard:walkTo( 674.055664, height, -582.077637)
-guard:walkTo( 676.046387, height, -630.403809)
-guard:walkTo( 677.839050, height, -674.209534)
-guard:walkTo( 680.754944, height, -765.965515)
-guard:walkTo( 681.034180, height, -803.351135)
-guard:walkTo( 680.088806, height, -844.069031)
-guard:walkTo( 677.801514, height, -899.952148)
-guard:walkTo( 675.205627, height, -950.496460)
-guard:walkTo( 672.847778, height, -996.413574)
-guard:walkTo( 676.204041, height, -1043.556274)
-guard:walkTo( 691.304382, height, -1088.596558)
-guard:walkTo( 705.101318, height, -1128.320312)
-guard:walkTo( 720.476013, height, -1164.364380)
-guard:walkTo( 729.216797, height, -1183.948364)
-guard:walkTo( 740.145203, height, -1212.598267)
-guard:walkTo( 746.547363, height, -1238.340576)
-guard:walkTo( 756.866211, height, -1280.605347)
-guard:walkTo( 763.380554, height, -1314.622314)
-guard:walkTo( 768.731506, height, -1347.977539)
-guard:walkTo( 772.446655, height, -1381.641479)
-guard:walkTo( 772.721069, height, -1421.184937)
-guard:walkTo( 772.414734, height, -1457.349121)
-guard:walkTo( 772.803284, height, -1489.560913)
-
-guard:walkTo( 772.325012, height, -1500.850708)
-guard:walkTo( 772.325012, height, -1500.850708)
-guard:walkTo( 772.487854, height, -1508.028809)
-guard:walkTo( 774.761047, height, -1519.442139)
-guard:walkTo( 778.809204, height, -1525.292847)
-guard:walkTo( 783.482666, height, -1530.000610)
-guard:walkTo( 790.163269, height, -1536.350708)
-guard:walkTo( 797.713745, height, -1542.968018)
-guard:walkTo( 804.024475, height, -1548.390503)
-guard:walkTo( 810.316406, height, -1553.796875)
-guard:walkTo( 819.849731, height, -1561.323242)
-guard:walkTo( 826.676819, height, -1566.627197)
-guard:walkTo( 833.950928, height, -1572.278442)
-guard:walkTo( 840.587036, height, -1577.434082)
-guard:walkTo( 847.261230, height, -1582.458252)
-guard:walkTo( 852.104797, height, -1586.104370)
-guard:walkTo( 857.504944, height, -1590.169556)
-guard:walkTo( 861.696411, height, -1593.324829)
-guard:walkTo( 867.690613, height, -1597.837036)
-guard:walkTo( 874.808105, height, -1604.437378)
-guard:walkTo( 878.302429, height, -1608.333252)
-guard:walkTo( 884.001892, height, -1614.366211)
-guard:walkTo( 890.699646, height, -1621.398315)
-guard:walkTo( 895.391052, height, -1626.179688)
-guard:walkTo( 902.171509, height, -1633.090332)
-guard:walkTo( 906.807495, height, -1637.957764)
-guard:walkTo( 910.438599, height, -1641.770142)
-guard:walkTo( 915.626160, height, -1647.216797)
-guard:walkTo( 921.844727, height, -1653.745972)
-guard:walkTo( 928.565125, height, -1660.801636)
-guard:walkTo( 933.742004, height, -1666.236694)
-guard:walkTo( 938.956543, height, -1671.711182)
-guard:walkTo( 942.160706, height, -1675.745972)
-guard:walkTo( 947.547302, height, -1681.952881)
-guard:walkTo( 951.732483, height, -1687.077759)
-guard:walkTo( 957.284851, height, -1693.876709)
-guard:walkTo( 962.786438, height, -1700.614990)
-guard:walkTo( 966.177246, height, -1705.151245)
-guard:walkTo( 970.221619, height, -1710.886230)
-guard:walkTo( 974.503113, height, -1717.243896)
-guard:walkTo( 977.332153, height, -1722.064087)
-guard:walkTo( 981.496887, height, -1729.391357)
-guard:walkTo( 986.814148, height, -1738.394165)
-guard:walkTo( 991.428650, height, -1745.393799)
-guard:walkTo( 998.958069, height, -1755.184326)
-guard:walkTo( 1003.995300, height, -1761.734131)
-guard:walkTo( 1009.006226, height, -1768.234375)
-guard:walkTo( 1013.550842, height, -1773.405029)
-guard:walkTo( 1019.371277, height, -1778.674072)
-guard:walkTo( 1024.703491, height, -1782.708618)
-guard:walkTo( 1030.605469, height, -1787.173950)
-guard:walkTo( 1036.072876, height, -1790.982056)
-guard:walkTo( 1043.746094, height, -1795.485474)
-guard:walkTo( 1050.884644, height, -1799.663574)
-hangarRouteProgrammed  = true
-end
-
-if guard:finalGoalReached() and not guardStopped then
-return true
-end
-
-return false
-end
-
-
-
-function tick(timestep)
---io.write("Guard called \n")
-observePlayer()
-
-
-if walkingRouteOne then
-walkingRouteOne = walkRouteOne(timestep)
-end
-
-if not walkingRouteOne and not exitPositionReached then
-exitPositionReached = goToExitPosition(timestep)
-end
-
-if not hangarReached and exitPositionReached then
-hangarReached = goToHangar(timestep)
-end
-
-return hangarReached
-end
- 
+579  373  -114
+764  373  -197
+1070 373 -209