Index: orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in	(revision 4163)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/Makefile.in	(revision 4168)
@@ -42,5 +42,5 @@
 subdir = src/lib/graphics/importer
 DIST_COMMON = $(noinst_HEADERS) $(srcdir)/Makefile.am \
-	$(srcdir)/Makefile.in TODO
+	$(srcdir)/Makefile.in
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4163)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.cc	(revision 4168)
@@ -36,4 +36,8 @@
 {
   this->setClassName ("MD2Model");
+
+  MD2Loader* md2loader = new MD2Loader();
+  this->model = new t3DModel;
+  md2loader->importMD2(this->model, "../data/models/tris.md2");
 }
 
@@ -49,22 +53,22 @@
 
 
-void MD2Model::animate(t3DModel *pModel)
-{
-  if( unlikely(pModel->objectList.size() <= 0)) return;
+void MD2Model::animate()
+{
+  if( unlikely(this->model->objectList.size() <= 0)) return;
   /* get current animation from the list */
-  tAnimationInfo *pAnim = &(pModel->animationList[pModel->currentAnim]);
-
-  int nextFrame = (pModel->currentFrame + 1) % pAnim->endFrame;
+  tAnimationInfo *pAnim = &(this->model->animationList[this->model->currentAnim]);
+
+  int nextFrame = (this->model->currentFrame + 1) % pAnim->endFrame;
   if( unlikely(nextFrame == 0)) 
     nextFrame =  pAnim->startFrame;
 
-  t3DObject *pFrame = &pModel->objectList[pModel->currentFrame];
-  t3DObject *pNextFrame = &pModel->objectList[nextFrame];
+  t3DObject *pFrame = &this->model->objectList[this->model->currentFrame];
+  t3DObject *pNextFrame = &this->model->objectList[nextFrame];
 
   /* we have stored the texture and face information only in the first frame */
-  t3DObject *pFirstFrame = &pModel->objectList[0];
+  t3DObject *pFirstFrame = &this->model->objectList[0];
 
   /* get the current time as a value in the domain [0..1] :)) */
-  float t = this->getCurrentTime(pModel, nextFrame);
+  float t = this->getCurrentTime(this->model, nextFrame);
 
   glBegin(GL_TRIANGLES);
@@ -78,6 +82,6 @@
 	  if( likely(pFirstFrame->pTexVerts != NULL)) 
 	    {
-	      glTexCoord2f(pFirstFrame->pTexVerts[ texIndex ].x, 
-			   pFirstFrame->pTexVerts[ texIndex ].y);
+	      glTexCoord2f(pFirstFrame->pTexVerts[texIndex].x, 
+			   pFirstFrame->pTexVerts[texIndex].y);
 	    }
 			
@@ -106,5 +110,5 @@
     }
   printf("t = %f\n", this->localTime);
-  return (this->localTime/kAnimationSpeed);
+  return (this->localTime / kAnimationSpeed);
 }
 
@@ -112,6 +116,4 @@
 void MD2Model::tick(float dtS)
 {
-  /* TEMP TEMP TEMP: save the current step length */
-  this->dtS = dtS;
   this->localTime += dtS;
 }
@@ -122,9 +124,9 @@
    these function will take NO argument in the final version, just for testing
 */
-void MD2Model::draw(t3DModel *pModel)
-{
-  if( pModel->objectList.size() <= 0) return;
-
-  t3DObject *pObject = &pModel->objectList[0];
+void MD2Model::draw()
+{
+  if( this->model->objectList.size() <= 0) return;
+
+  t3DObject *pObject = &this->model->objectList[0];
   glBegin(GL_TRIANGLES);
   for(int j = 0; j < pObject->numOfFaces; j++)
Index: orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4163)
+++ orxonox/branches/md2_loader/src/lib/graphics/importer/md2Model.h	(revision 4168)
@@ -119,6 +119,5 @@
   void drawModel(float time);
   void drawFrame(int frame);
-  
-  void draw(t3DModel *pModel);
+  void draw();
   
   void setAnim(int type);
@@ -127,5 +126,5 @@
   void tick(float dtS);
 
-  void animate(/*float time*/ t3DModel *pModel);
+  void animate(/*float time*/);
 private:
   void processLightning();
@@ -134,5 +133,5 @@
   float getCurrentTime(t3DModel *pModel, int nextFrame);
 
-  float dtS;
+  t3DModel* model;
   float localTime;
 };
@@ -145,5 +144,5 @@
   virtual ~MD2Loader();
   
-  bool importMD2(t3DModel *pModel, char *fileName, char *texture);
+  bool importMD2(t3DModel *pModel, char *fileName, char *texture = NULL);
 
 private:
Index: orxonox/branches/md2_loader/src/world_entities/test_entity.cc
===================================================================
--- orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4163)
+++ orxonox/branches/md2_loader/src/world_entities/test_entity.cc	(revision 4168)
@@ -28,11 +28,7 @@
 TestEntity::TestEntity () : WorldEntity()
 {  
-  MD2Loader* md2loader = new MD2Loader();
-  this->model = new t3DModel;
   this->md2Model = new MD2Model();
 
-  md2loader->importMD2(this->model, "../data/models/tris.md2", "../data/models/tris.pcx");
-
-  this->material = new Material("Sky");
+  this->material = new Material("Clown");
   this->material->setDiffuseMap("../data/models/tris.pcx");
   this->material->setIllum(3);
@@ -70,9 +66,9 @@
   glMultMatrixf((float*)matrix);
   
-  //this->model->draw();
+
   /* TESTGING TESTING TESTING */
   this->material->select();
   //this->md2Model->draw(this->model);
-  this->md2Model->animate(this->model);
+  this->md2Model->animate();
 
   glPopMatrix();